/*

	Color MDEF
	by Jordan Zimmerman
	(c)1995 All rights reserved worldwide.

	Unlimited use is hereby granted without restriction.  However,
	the author would appreciate credit if possible.  Please send
	comments, questions, bugs, etc. to jordanz@altura.com

*/

#ifndef COLOR_MDEF_UTILS_H
#define COLOR_MDEF_UTILS_H

// convert the given formatted 12 byte pstring into an RGBColor
// the pstring should be in the form RRRRGGGGBBBB where
// RRRR, GGGG, and BBBB are each ASCII four byte hex numbers
void CMPstrToColor(ConstStr255Param pstr, RGBColor& color);

// convert the given RGBColor into a 12 byte formatted pstring
void CMColorToPstr(const RGBColor& color, StringPtr pstr);

// set the given menu item to the given color
void CMSetMenuItemColor(MenuHandle menu_h, short item_number, const RGBColor& color);

// return the color for the given menu item
void CMGetMenuItemColor(MenuHandle menu_h, short item_number, RGBColor& color);

#endif	// COLOR_MDEF_UTILS_H
